Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tiles.web.startup
Class AbstractTilesListener

    java.lang.Object
      org.apache.tiles.web.startup.AbstractTilesListener

All Implemented Interfaces:
  java.util.EventListener, javax.servlet.ServletContextListener

Direct Known Subclasses:
  CompleteAutoloadTilesListener, ModularTilesListener, SimpleTilesListener, TilesListener

    public abstract class AbstractTilesListener

extends java.lang.Object
implements javax.servlet.ServletContextListener

Listener for the initialization of the Tiles container.

Version:
  $Rev: 797540 $ $Date: 2009-07-24 17:42:00 +0200 (ven, 24 lug 2009) $

Field Summary
`protected TilesInitializer` | `initializer` The initializer object.

Constructor Summary
`AbstractTilesListener()`

Method Summary
`void` | `contextDestroyed(javax.servlet.ServletContextEvent event)` Remove the tiles container from service.
`void` | `contextInitialized(javax.servlet.ServletContextEvent event)` Initialize the TilesContainer and place it into service.
`protected abstract TilesInitializer` | `createTilesInitializer()` Creates a new instance of `TilesInitializer`.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### initializer

    protected TilesInitializer initializer

  The initializer object.

  Since:
    2.1.2

Constructor Detail

### AbstractTilesListener

    public AbstractTilesListener()

Method Detail

### contextInitialized

    public void contextInitialized(javax.servlet.ServletContextEvent event)

  Initialize the TilesContainer and place it into service.

  Specified by:
    `contextInitialized` in interface `javax.servlet.ServletContextListener`
  Parameters:
    `event` - The intercepted event.

### contextDestroyed

    public void contextDestroyed(javax.servlet.ServletContextEvent event)

  Remove the tiles container from service.

  Specified by:
    `contextDestroyed` in interface `javax.servlet.ServletContextListener`
  Parameters:
    `event` - The intercepted event.

### createTilesInitializer

    protected abstract TilesInitializer createTilesInitializer()

  Creates a new instance of `TilesInitializer`. Implement it to use a different initializer.

  Returns:
    The Tiles servlet-based initializer.
  Since:
    2.2.0

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2010 Apache Software Foundation. All Rights Reserved.